org.apache.struts2.interceptor

## Class ActionMappingParametersInterceptor

- java.lang.Object
- - com.opensymphony.xwork2.interceptor.AbstractInterceptor
  - - com.opensymphony.xwork2.interceptor.MethodFilterInterceptor
    - - com.opensymphony.xwork2.interceptor.ParametersInterceptor
      - - org.apache.struts2.interceptor.ActionMappingParametersInterceptor

- All Implemented Interfaces:
    Interceptor, Serializable

      public class ActionMappingParametersInterceptor
      extends ParametersInterceptor

  This interceptor sets all parameters from the action mapping, for this request, on the value stack. It operates exactly like `ParametersInterceptor`, only the parameters come from the `ActionMapping`, not the `ActionContext.getParameters()` method.

  Interceptor parameters:

  - ordered - set to true if you want the top-down property setter behaviour

  Extending the interceptor:

  The best way to add behavior to this interceptor is to utilize the `ParameterNameAware` interface in your actions. However, if you wish to apply a global rule that isn't implemented in your action, then you could extend this interceptor and override the `ParametersInterceptor.acceptableName(String)` method.

  Example code:

       <action name="someAction" class="com.examples.SomeAction">
           <interceptor-ref name="mappingParams"/>
           <result name="success">good_result.ftl</result>
       </action>

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.opensymphony.xwork2.interceptor.ParametersInterceptor

      `ordered, PARAM_NAME_MAX_LENGTH`

    - ### Fields inherited from class com.opensymphony.xwork2.interceptor.MethodFilterInterceptor

      `excludeMethods, includeMethods`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActionMappingParametersInterceptor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addParametersToContext(ActionContext ac, Map<String,?> newParams)` Adds the parameters into the current ActionContext's parameter map.
    `protected HttpParameters` | `retrieveParameters(ActionContext ac)` Get the parameter map from ActionMapping associated with the provided ActionContext.

    - ### Methods inherited from class com.opensymphony.xwork2.interceptor.ParametersInterceptor

      `acceptableName, doIntercept, getOrderedComparator, getParameterLogMap, isAcceptableParameter, isAccepted, isExcluded, isOrdered, isWithinLengthLimit, notifyDeveloperParameterException, setAcceptedPatterns, setAcceptParamNames, setDevMode, setDynamicMethodInvocation, setExcludedPatterns, setExcludeParams, setOrdered, setParameters, setParamNameMaxLength, setValueStackFactory`

    - ### Methods inherited from class com.opensymphony.xwork2.interceptor.MethodFilterInterceptor

      `applyInterceptor, getExcludeMethodsSet, getIncludeMethodsSet, intercept, setExcludeMethods, setIncludeMethods`

    - ### Methods inherited from class com.opensymphony.xwork2.interceptor.AbstractInterceptor

      `destroy, init`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ActionMappingParametersInterceptor

          public ActionMappingParametersInterceptor()

  - ### Method Detail

    - #### retrieveParameters

          protected HttpParameters retrieveParameters(ActionContext ac)

      Get the parameter map from ActionMapping associated with the provided ActionContext.
      Overrides:
        `retrieveParameters` in class `ParametersInterceptor`
      Parameters:
        `ac` - The action context
      Returns:
        the parameters from the action mapping in the context. If none found, returns an empty map.

    - #### addParametersToContext

          protected void addParametersToContext(ActionContext ac,
                                                Map<String,?> newParams)

      Adds the parameters into the current ActionContext's parameter map. Note: The method should avoid re-wrapping values which are already of type Parameter.
      Overrides:
        `addParametersToContext` in class `ParametersInterceptor`
      Parameters:
        `ac` - The action context
        `newParams` - The parameter map to apply

Copyright © 2000–2022 Apache Software Foundation. All rights reserved.